RNAstructure_java_utilities

## Enum FileChooser.Types

- java.lang.Object
- - java.lang.Enum<FileChooser.Types>
  - - RNAstructure_java_utilities.FileChooser.Types

All Implemented Interfaces:
  Serializable, Comparable<FileChooser.Types>

Enclosing class:
  FileChooser

    private static enum FileChooser.Types
    extends Enum<FileChooser.Types>

An enum that holds the possible values for the file chooser type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPEN`
`SAVE`

### Method Summary

Methods
`static FileChooser.Types` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileChooser.Types[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPEN

    public static final FileChooser.Types OPEN

#### SAVE

    public static final FileChooser.Types SAVE

### Method Detail

#### valueOf

    public static FileChooser.Types valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### values

    public static FileChooser.Types[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileChooser.Types c : FileChooser.Types.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared